com.sun.jna.platform.win32.COM

## Class TypeInfoUtil.ContainingTypeLib

- java.lang.Object
- - com.sun.jna.platform.win32.COM.TypeInfoUtil.ContainingTypeLib

- Enclosing class:
    TypeInfoUtil

      public static class TypeInfoUtil.ContainingTypeLib
      extends java.lang.Object

  The Class ContainingTypeLib.
  Author:
    wolf.tobias@gmx.net The Class ContainingTypeLib.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainingTypeLib(ITypeLib typeLib, int index)` Instantiates a new containing type lib.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Gets the index.
    `ITypeLib` | `getTypeLib()` Gets the type lib.
    `void` | `setIndex(int index)` Sets the index.
    `void` | `setTypeLib(ITypeLib typeLib)` Sets the type lib.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainingTypeLib

          public ContainingTypeLib(ITypeLib typeLib,
                                   int index)

      Instantiates a new containing type lib.
      Parameters:
        `typeLib` - the type lib
        `index` - the index

  - ### Method Detail

    - #### getTypeLib

          public ITypeLib getTypeLib()

      Gets the type lib.
      Returns:
        the type lib

    - #### setTypeLib

          public void setTypeLib(ITypeLib typeLib)

      Sets the type lib.
      Parameters:
        `typeLib` - the new type lib

    - #### getIndex

          public int getIndex()

      Gets the index.
      Returns:
        the index

    - #### setIndex

          public void setIndex(int index)

      Sets the index.
      Parameters:
        `index` - the new index

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.